Bug 842043 - [abrt] gnome-packagekit-3.4.2-1.fc17: _IO_vfprintf_internal: Process /usr/bin/gpk-update-viewer was killed by signal 11 (SIGSEGV)
[abrt] gnome-packagekit-3.4.2-1.fc17: _IO_vfprintf_internal: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:c0886500ffb47c1118bd8ec0117...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 04:22 EDT by Thomas
Modified: 2013-07-31 20:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (10.12 KB, text/plain)
2012-07-21 04:23 EDT, Thomas
no flags Details
File: backtrace (211.31 KB, text/plain)
2012-07-21 04:23 EDT, Thomas
no flags Details
File: maps (24.49 KB, text/plain)
2012-07-21 04:23 EDT, Thomas
no flags Details
File: dso_list (7.43 KB, text/plain)
2012-07-21 04:23 EDT, Thomas
no flags Details
File: var_log_messages (16.17 KB, text/plain)
2012-07-21 04:23 EDT, Thomas
no flags Details

  None (edit)
Description Thomas 2012-07-21 04:22:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        gpk-update-viewer
crash_function: _IO_vfprintf_internal
executable:     /usr/bin/gpk-update-viewer
kernel:         3.4.5-2.fc17.i686.PAE
pid:            1984
pwd:            /home/thomas
time:           Fri 20 Jul 2012 11:52:57 PM BST
uid:            1000
username:       thomas
xsession_errors: 

backtrace:      Text file, 216386 bytes
core_backtrace: Text file, 10366 bytes
dso_list:       Text file, 7611 bytes
maps:           Text file, 25082 bytes
var_log_messages: Text file, 16563 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/thomas/2

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=Thomas-Vaio
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/thomas/keyring-vUzLGx
:IMSETTINGS_MODULE=none
:USER=thomas
:USERNAME=thomas
:MAIL=/var/spool/mail/thomas
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/thomas/.local/bin:/home/thomas/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/thomas
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1175
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/thomas
:SHLVL=1
:LOGNAME=thomas
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6Nrhmmvf6P,guid=434c3439d70511b8f4e463760000007e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/thomas
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-thomas-G8H1YT/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1179,unix/unix:/tmp/.ICE-unix/1179
:GPG_AGENT_INFO=/run/user/thomas/keyring-vUzLGx/gpg:0:1
:SSH_AUTH_SOCK=/run/user/thomas/keyring-vUzLGx/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gpk-update-viewer.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1984
:DESKTOP_STARTUP_ID=gnome-shell-1395-Thomas-Vaio-gpk-update-viewer-6_TIME673816

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31735                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31735                31735                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/thomas/.xsession-errors
:pos:	4112
:flags:	02002
:2:/home/thomas/.xsession-errors
:pos:	4112
:flags:	02002
:3:socket:[29669]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[29672]
:pos:	0
:flags:	02004002
:6:socket:[28456]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[29674]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 8fda12d5-ba50-403b-a8ce-fee73e5a43ba
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 4390.12
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2330M CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2200
:System Memory: 3983
:System Swap: 5023
:Vendor: Sony Corporation
:System: VPCEH2H1E C1069W16
:Form factor: Notebook
:Kernel: 3.4.5-2.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4173:37003) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:278:4173:37003) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4173:37003) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4173:37003) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7241:4173:37003) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:7200:4173:37003) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4173:37003) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:21001:4173:37003) pci, None, MISC, N/A
:(32902:7171:4173:37003) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4173:37003) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4173:37003) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4173:37003) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4173:37003) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4173:37003) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(5772:43:4187:57399) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_thomas--vaio-lv_root / ext4 4096 4096 13081025 11917811 11262451 3276800 3132060 3132060
:/dev/sda1 /boot ext4 1024 1024 508644 448681 423081 128016 127672 127672
:/dev/mapper/vg_thomas--vaio-lv_home /home ext4 4096 4096 107444818 105638939 100260482 26894336 26892686 26892686
:
Comment 1 Thomas 2012-07-21 04:23:07 EDT
Created attachment 599500 [details]
File: core_backtrace
Comment 2 Thomas 2012-07-21 04:23:13 EDT
Created attachment 599501 [details]
File: backtrace
Comment 3 Thomas 2012-07-21 04:23:19 EDT
Created attachment 599502 [details]
File: maps
Comment 4 Thomas 2012-07-21 04:23:24 EDT
Created attachment 599503 [details]
File: dso_list
Comment 5 Thomas 2012-07-21 04:23:28 EDT
Created attachment 599504 [details]
File: var_log_messages
Comment 6 Fedora End Of Life 2013-07-03 18:42:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 20:46:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.